For the complete documentation index, see llms.txt. This page is also available as Markdown.

🏢 Organisation Management

Organisation, team members, and workspace management

List user organisations

get
/api/v1.0/organisations/

Retrieve list of organisations where the user is a member or owner

Authorizations
sessionidstringRequired
Responses
200Success
application/json

Organisation model for owners (read/write, full surface).

unique_idstring · max: 100 · nullableOptional
namestring · nullableOptional
languagestring · enum · nullableOptional
  • en - English
  • sw - Swahili
  • de - German
  • es - Spanish
  • hi - Hindi
  • ar - Arabic
  • ko - Korean
  • pt - Portuguese
  • af - Afrikaans
  • el - Greek
  • fr - French
  • ta - Tamil
  • ru - Russian
  • zh-hans - Simplified Chinese
Possible values:
language_displaystringRead-onlyRequired
business_descriptionstring · nullableOptional
business_categorystring · enum · nullableOptional
  • agriculture - Agriculture and Farming
  • cleaning - Cleaning Services
  • construction - Construction and Real Estate Services
  • consulting - Consulting and Freelancing
  • creative - Creative and Design Services
  • education - Education and Tutoring Services
  • events - Entertainment and Events Planning
  • handyman - Handyman and Home Repair Services
  • health - Health and Wellness
  • home_based - Home-Based Businesses
  • hospitality - Hospitality and Tourism
  • it_support - IT and Software Support Services
  • legal - Legal and Financial Services
  • logistics - Logistics and Delivery Services
  • manufacturing - Manufacturing and Small-Scale Production
  • marketing - Marketing and Advertising Services
  • music - Music and Entertainment Services
  • non_profit - Non-Profit and Social Enterprises
  • online_retail - Online Retail and E-commerce
  • photography - Photography and Videography Services
  • printing - Printing and Copy Services
  • professional - Professional Services
  • travel - Travel Agencies
  • utilities - Utilities and Renewable Energy Services
  • wholesale - Wholesale and Distribution
  • writing - Writing and Editing Services
  • virtual_assistance - Virtual Assistance and Admin Support
  • other - Other
Possible values:
business_category_displaystringRead-onlyRequired
other_categorystring · nullableOptional
how_did_you_hear_about_usstring · enum · nullableOptional
  • google - Google Search
  • social_media - Social Media
  • online_ads - Online Ads
  • word_of_mouth - Word of Mouth
  • email_marketing - Email Marketing
  • event - Event or Conference
  • blog - Blog or Article
  • webinar - Webinar or Online Workshop
  • podcast - Podcast
  • tv_radio - TV or Radio Advertisement
  • print_media - Print Media
  • referral - Referral Program
  • other - Other
Possible values:
business_websitestring · uri · max: 300 · nullableOptional
vat_numberstring · max: 100 · nullableOptional

VAT/Tax registration number

logo_urlstring · nullableRead-onlyRequired
setup_donebooleanOptional
member_countinteger · nullableRead-onlyRequired
default_currencystring · max: 3Optional

Default currency code (ISO 4217) for financial transactions

default_vat_ratestring · decimalOptional

Default VAT/tax rate percentage for line items

Pattern: ^-?\d{0,3}(?:\.\d{0,2})?$
financial_year_endstring · enumOptional

Month and day when the financial year ends (MM-DD format)

  • 01-31 - January 31
  • 02-28 - February 28
  • 03-31 - March 31
  • 04-30 - April 30
  • 05-31 - May 31
  • 06-30 - June 30
  • 07-31 - July 31
  • 08-31 - August 31
  • 09-30 - September 30
  • 10-31 - October 31
  • 11-30 - November 30
  • 12-31 - December 31
Possible values:
financial_year_end_displaystringRead-onlyRequired
accounting_methodstring · enumOptional

Accounting method for financial reporting

  • cash - Cash Basis
  • accrual - Accrual Basis
Possible values:
accounting_method_displaystringRead-onlyRequired
reporting_currencystring · enumOptional

Primary currency for financial reporting and statements

  • USD - US Dollar (USD)
  • EUR - Euro (EUR)
  • GBP - British Pound (GBP)
  • JPY - Japanese Yen (JPY)
  • CAD - Canadian Dollar (CAD)
  • AUD - Australian Dollar (AUD)
  • CHF - Swiss Franc (CHF)
  • CNY - Chinese Yuan (CNY)
  • INR - Indian Rupee (INR)
  • ZAR - South African Rand (ZAR)
  • KES - Kenyan Shilling (KES)
  • NGN - Nigerian Naira (NGN)
  • GHS - Ghanaian Cedi (GHS)
  • EGP - Egyptian Pound (EGP)
  • MAD - Moroccan Dirham (MAD)
  • TZS - Tanzanian Shilling (TZS)
  • UGX - Ugandan Shilling (UGX)
  • RWF - Rwandan Franc (RWF)
  • ETB - Ethiopian Birr (ETB)
  • BWP - Botswana Pula (BWP)
Possible values:
reporting_currency_displaystringRead-onlyRequired
enable_multi_currencybooleanOptional

Enable multi-currency transactions and reporting

auto_close_financial_yearbooleanOptional

Automatically close financial year and create opening balances

retain_transaction_historybooleanOptional

Keep detailed transaction history after year-end closing

financial_year_lock_datestring · date · nullableOptional

Date before which transactions cannot be modified

current_financial_year_labelstring · nullableRead-onlyRequired
contact_agent_activebooleanOptional

Enable Contact Agent for managing contacts and client relationships

finance_agent_activebooleanOptional

Enable Finance Agent for financial management and accounting

business_agent_activebooleanOptional

Enable Business Agent for general business operations and strategy

asset_agent_activebooleanOptional

Enable Asset Agent for asset management and inventory tracking

client_agent_activebooleanOptional

Enable Client Agent for client relationship management

docs_agent_activebooleanOptional

Enable Docs Agent for document management and file organization

notes_agent_activebooleanOptional

Enable Notes Agent for note-taking and knowledge management

project_agent_activebooleanOptional

Enable Project Agent for project management and task tracking

user_manager_agent_activebooleanOptional

Enable User Manager Agent for user management and permissions

stripe_customer_idstring · max: 100 · nullableOptional

Stripe customer ID for billing and subscriptions

monthly_ai_credits_allocatedstring · decimalOptional

Monthly AI credits allocated based on pricing tier

Pattern: ^-?\d{0,4}(?:\.\d{0,2})?$
monthly_ai_credits_usedstring · decimalOptional

AI credits used in current month

Pattern: ^-?\d{0,4}(?:\.\d{0,2})?$
monthly_ai_credits_remainingstring · decimalOptional

AI credits remaining in current month

Pattern: ^-?\d{0,4}(?:\.\d{0,2})?$
last_monthly_reset_datestring · date · nullableOptional

Date when monthly AI credits were last reset

current_billing_cycle_startstring · date · nullableOptional

Start date of current monthly billing cycle

current_billing_cycle_endstring · date · nullableOptional

End date of current monthly billing cycle

purchased_seatsinteger · max: 2147483647Optional

Number of additional seats purchased beyond the base plan

date_createdstring · date-time · nullableOptional
last_updatedstring · date-time · nullableOptional
get/api/v1.0/organisations/
GET /api/v1.0/organisations/ HTTP/1.1
Host: skhokho.ai
Accept: */*
200Success
[
  {
    "unique_id": "text",
    "name": "text",
    "language": "en",
    "language_display": "text",
    "business_description": "text",
    "business_category": "agriculture",
    "business_category_display": "text",
    "other_category": "text",
    "how_did_you_hear_about_us": "google",
    "business_website": "https://example.com",
    "vat_number": "text",
    "logo_url": "text",
    "setup_done": true,
    "address": {
      "address_line_1": "text",
      "city": "text",
      "province_state": "text",
      "postal_code": "text",
      "country_name": "text"
    },
    "banking_information": {
      "bank_name": "text",
      "account_number_last4": "text",
      "branch_code": "text",
      "account_type": "checking",
      "routing_number": "text",
      "swift_code": "text",
      "date_created": "2026-01-01T00:00:00.000Z",
      "last_updated": "2026-01-01T00:00:00.000Z",
      "account_type_display": "text"
    },
    "owner": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "member_count": 1,
    "default_currency": "text",
    "default_vat_rate": "text",
    "financial_year_end": "01-31",
    "financial_year_end_display": "text",
    "accounting_method": "cash",
    "accounting_method_display": "text",
    "reporting_currency": "USD",
    "reporting_currency_display": "text",
    "enable_multi_currency": true,
    "auto_close_financial_year": true,
    "retain_transaction_history": true,
    "financial_year_lock_date": "2026-01-01",
    "current_financial_year_label": "text",
    "contact_agent_active": true,
    "finance_agent_active": true,
    "business_agent_active": true,
    "asset_agent_active": true,
    "client_agent_active": true,
    "docs_agent_active": true,
    "notes_agent_active": true,
    "project_agent_active": true,
    "user_manager_agent_active": true,
    "stripe_customer_id": "text",
    "monthly_ai_credits_allocated": "text",
    "monthly_ai_credits_used": "text",
    "monthly_ai_credits_remaining": "text",
    "last_monthly_reset_date": "2026-01-01",
    "current_billing_cycle_start": "2026-01-01",
    "current_billing_cycle_end": "2026-01-01",
    "purchased_seats": 1,
    "date_created": "2026-01-01T00:00:00.000Z",
    "last_updated": "2026-01-01T00:00:00.000Z"
  }
]

Get organisation details

get
/api/v1.0/organisation/{unique_id}/

Get basic information about an organisation (membership required)

Authorizations
sessionidstringRequired
Path parameters
unique_idstringRequired
Responses
200Success
application/json

Basic serializer for Organisation – limited information for regular members.

unique_idstring · max: 100 · nullableOptional
namestringRead-onlyRequired
languagestring · enum · nullableOptional
  • en - English
  • sw - Swahili
  • de - German
  • es - Spanish
  • hi - Hindi
  • ar - Arabic
  • ko - Korean
  • pt - Portuguese
  • af - Afrikaans
  • el - Greek
  • fr - French
  • ta - Tamil
  • ru - Russian
  • zh-hans - Simplified Chinese
Possible values:
language_displaystringRead-onlyRequired
business_descriptionstring · nullableRead-onlyRequired
business_categorystring · enum · nullableOptional
  • agriculture - Agriculture and Farming
  • cleaning - Cleaning Services
  • construction - Construction and Real Estate Services
  • consulting - Consulting and Freelancing
  • creative - Creative and Design Services
  • education - Education and Tutoring Services
  • events - Entertainment and Events Planning
  • handyman - Handyman and Home Repair Services
  • health - Health and Wellness
  • home_based - Home-Based Businesses
  • hospitality - Hospitality and Tourism
  • it_support - IT and Software Support Services
  • legal - Legal and Financial Services
  • logistics - Logistics and Delivery Services
  • manufacturing - Manufacturing and Small-Scale Production
  • marketing - Marketing and Advertising Services
  • music - Music and Entertainment Services
  • non_profit - Non-Profit and Social Enterprises
  • online_retail - Online Retail and E-commerce
  • photography - Photography and Videography Services
  • printing - Printing and Copy Services
  • professional - Professional Services
  • travel - Travel Agencies
  • utilities - Utilities and Renewable Energy Services
  • wholesale - Wholesale and Distribution
  • writing - Writing and Editing Services
  • virtual_assistance - Virtual Assistance and Admin Support
  • other - Other
Possible values:
business_category_displaystringRead-onlyRequired
business_websitestring · uri · max: 300 · nullableOptional
logo_urlstring · nullableRead-onlyRequired
member_countinteger · nullableRead-onlyRequired
date_createdstring · date-time · nullableOptional
last_updatedstring · date-time · nullableOptional
get/api/v1.0/organisation/{unique_id}/
GET /api/v1.0/organisation/{unique_id}/ HTTP/1.1
Host: skhokho.ai
Accept: */*
{
  "unique_id": "text",
  "name": "text",
  "language": "en",
  "language_display": "text",
  "business_description": "text",
  "business_category": "agriculture",
  "business_category_display": "text",
  "business_website": "https://example.com",
  "logo_url": "text",
  "owner": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "member_count": 1,
  "date_created": "2026-01-01T00:00:00.000Z",
  "last_updated": "2026-01-01T00:00:00.000Z"
}

Update organisation details (full)

put
/api/v1.0/organisation/{unique_id}/update/

Replace all editable organisation settings. Owner permissions required.

Authorizations
sessionidstringRequired
Path parameters
unique_idstringRequired
Body

Organisation model for owners (read/write, full surface).

unique_idstring · max: 100 · nullableOptional
namestring · nullableOptional
languagestring · enum · nullableOptional
  • en - English
  • sw - Swahili
  • de - German
  • es - Spanish
  • hi - Hindi
  • ar - Arabic
  • ko - Korean
  • pt - Portuguese
  • af - Afrikaans
  • el - Greek
  • fr - French
  • ta - Tamil
  • ru - Russian
  • zh-hans - Simplified Chinese
Possible values:
business_descriptionstring · nullableOptional
business_categorystring · enum · nullableOptional
  • agriculture - Agriculture and Farming
  • cleaning - Cleaning Services
  • construction - Construction and Real Estate Services
  • consulting - Consulting and Freelancing
  • creative - Creative and Design Services
  • education - Education and Tutoring Services
  • events - Entertainment and Events Planning
  • handyman - Handyman and Home Repair Services
  • health - Health and Wellness
  • home_based - Home-Based Businesses
  • hospitality - Hospitality and Tourism
  • it_support - IT and Software Support Services
  • legal - Legal and Financial Services
  • logistics - Logistics and Delivery Services
  • manufacturing - Manufacturing and Small-Scale Production
  • marketing - Marketing and Advertising Services
  • music - Music and Entertainment Services
  • non_profit - Non-Profit and Social Enterprises
  • online_retail - Online Retail and E-commerce
  • photography - Photography and Videography Services
  • printing - Printing and Copy Services
  • professional - Professional Services
  • travel - Travel Agencies
  • utilities - Utilities and Renewable Energy Services
  • wholesale - Wholesale and Distribution
  • writing - Writing and Editing Services
  • virtual_assistance - Virtual Assistance and Admin Support
  • other - Other
Possible values:
other_categorystring · nullableOptional
how_did_you_hear_about_usstring · enum · nullableOptional
  • google - Google Search
  • social_media - Social Media
  • online_ads - Online Ads
  • word_of_mouth - Word of Mouth
  • email_marketing - Email Marketing
  • event - Event or Conference
  • blog - Blog or Article
  • webinar - Webinar or Online Workshop
  • podcast - Podcast
  • tv_radio - TV or Radio Advertisement
  • print_media - Print Media
  • referral - Referral Program
  • other - Other
Possible values:
business_websitestring · uri · max: 300 · nullableOptional
vat_numberstring · max: 100 · nullableOptional

VAT/Tax registration number

setup_donebooleanOptional
default_currencystring · min: 1 · max: 3Optional

Default currency code (ISO 4217) for financial transactions

default_vat_ratestring · decimalOptional

Default VAT/tax rate percentage for line items

Pattern: ^-?\d{0,3}(?:\.\d{0,2})?$
financial_year_endstring · enumOptional

Month and day when the financial year ends (MM-DD format)

  • 01-31 - January 31
  • 02-28 - February 28
  • 03-31 - March 31
  • 04-30 - April 30
  • 05-31 - May 31
  • 06-30 - June 30
  • 07-31 - July 31
  • 08-31 - August 31
  • 09-30 - September 30
  • 10-31 - October 31
  • 11-30 - November 30
  • 12-31 - December 31
Possible values:
accounting_methodstring · enumOptional

Accounting method for financial reporting

  • cash - Cash Basis
  • accrual - Accrual Basis
Possible values:
reporting_currencystring · enumOptional

Primary currency for financial reporting and statements

  • USD - US Dollar (USD)
  • EUR - Euro (EUR)
  • GBP - British Pound (GBP)
  • JPY - Japanese Yen (JPY)
  • CAD - Canadian Dollar (CAD)
  • AUD - Australian Dollar (AUD)
  • CHF - Swiss Franc (CHF)
  • CNY - Chinese Yuan (CNY)
  • INR - Indian Rupee (INR)
  • ZAR - South African Rand (ZAR)
  • KES - Kenyan Shilling (KES)
  • NGN - Nigerian Naira (NGN)
  • GHS - Ghanaian Cedi (GHS)
  • EGP - Egyptian Pound (EGP)
  • MAD - Moroccan Dirham (MAD)
  • TZS - Tanzanian Shilling (TZS)
  • UGX - Ugandan Shilling (UGX)
  • RWF - Rwandan Franc (RWF)
  • ETB - Ethiopian Birr (ETB)
  • BWP - Botswana Pula (BWP)
Possible values:
enable_multi_currencybooleanOptional

Enable multi-currency transactions and reporting

auto_close_financial_yearbooleanOptional

Automatically close financial year and create opening balances

retain_transaction_historybooleanOptional

Keep detailed transaction history after year-end closing

financial_year_lock_datestring · date · nullableOptional

Date before which transactions cannot be modified

contact_agent_activebooleanOptional

Enable Contact Agent for managing contacts and client relationships

finance_agent_activebooleanOptional

Enable Finance Agent for financial management and accounting

business_agent_activebooleanOptional

Enable Business Agent for general business operations and strategy

asset_agent_activebooleanOptional

Enable Asset Agent for asset management and inventory tracking

client_agent_activebooleanOptional

Enable Client Agent for client relationship management

docs_agent_activebooleanOptional

Enable Docs Agent for document management and file organization

notes_agent_activebooleanOptional

Enable Notes Agent for note-taking and knowledge management

project_agent_activebooleanOptional

Enable Project Agent for project management and task tracking

user_manager_agent_activebooleanOptional

Enable User Manager Agent for user management and permissions

stripe_customer_idstring · max: 100 · nullableOptional

Stripe customer ID for billing and subscriptions

monthly_ai_credits_allocatedstring · decimalOptional

Monthly AI credits allocated based on pricing tier

Pattern: ^-?\d{0,4}(?:\.\d{0,2})?$
monthly_ai_credits_usedstring · decimalOptional

AI credits used in current month

Pattern: ^-?\d{0,4}(?:\.\d{0,2})?$
monthly_ai_credits_remainingstring · decimalOptional

AI credits remaining in current month

Pattern: ^-?\d{0,4}(?:\.\d{0,2})?$
last_monthly_reset_datestring · date · nullableOptional

Date when monthly AI credits were last reset

current_billing_cycle_startstring · date · nullableOptional

Start date of current monthly billing cycle

current_billing_cycle_endstring · date · nullableOptional

End date of current monthly billing cycle

purchased_seatsinteger · max: 2147483647Optional

Number of additional seats purchased beyond the base plan

date_createdstring · date-time · nullableOptional
last_updatedstring · date-time · nullableOptional
Responses
200Success
application/json

Organisation model for owners (read/write, full surface).

unique_idstring · max: 100 · nullableOptional
namestring · nullableOptional
languagestring · enum · nullableOptional
  • en - English
  • sw - Swahili
  • de - German
  • es - Spanish
  • hi - Hindi
  • ar - Arabic
  • ko - Korean
  • pt - Portuguese
  • af - Afrikaans
  • el - Greek
  • fr - French
  • ta - Tamil
  • ru - Russian
  • zh-hans - Simplified Chinese
Possible values:
language_displaystringRead-onlyRequired
business_descriptionstring · nullableOptional
business_categorystring · enum · nullableOptional
  • agriculture - Agriculture and Farming
  • cleaning - Cleaning Services
  • construction - Construction and Real Estate Services
  • consulting - Consulting and Freelancing
  • creative - Creative and Design Services
  • education - Education and Tutoring Services
  • events - Entertainment and Events Planning
  • handyman - Handyman and Home Repair Services
  • health - Health and Wellness
  • home_based - Home-Based Businesses
  • hospitality - Hospitality and Tourism
  • it_support - IT and Software Support Services
  • legal - Legal and Financial Services
  • logistics - Logistics and Delivery Services
  • manufacturing - Manufacturing and Small-Scale Production
  • marketing - Marketing and Advertising Services
  • music - Music and Entertainment Services
  • non_profit - Non-Profit and Social Enterprises
  • online_retail - Online Retail and E-commerce
  • photography - Photography and Videography Services
  • printing - Printing and Copy Services
  • professional - Professional Services
  • travel - Travel Agencies
  • utilities - Utilities and Renewable Energy Services
  • wholesale - Wholesale and Distribution
  • writing - Writing and Editing Services
  • virtual_assistance - Virtual Assistance and Admin Support
  • other - Other
Possible values:
business_category_displaystringRead-onlyRequired
other_categorystring · nullableOptional
how_did_you_hear_about_usstring · enum · nullableOptional
  • google - Google Search
  • social_media - Social Media
  • online_ads - Online Ads
  • word_of_mouth - Word of Mouth
  • email_marketing - Email Marketing
  • event - Event or Conference
  • blog - Blog or Article
  • webinar - Webinar or Online Workshop
  • podcast - Podcast
  • tv_radio - TV or Radio Advertisement
  • print_media - Print Media
  • referral - Referral Program
  • other - Other
Possible values:
business_websitestring · uri · max: 300 · nullableOptional
vat_numberstring · max: 100 · nullableOptional

VAT/Tax registration number

logo_urlstring · nullableRead-onlyRequired
setup_donebooleanOptional
member_countinteger · nullableRead-onlyRequired
default_currencystring · max: 3Optional

Default currency code (ISO 4217) for financial transactions

default_vat_ratestring · decimalOptional

Default VAT/tax rate percentage for line items

Pattern: ^-?\d{0,3}(?:\.\d{0,2})?$
financial_year_endstring · enumOptional

Month and day when the financial year ends (MM-DD format)

  • 01-31 - January 31
  • 02-28 - February 28
  • 03-31 - March 31
  • 04-30 - April 30
  • 05-31 - May 31
  • 06-30 - June 30
  • 07-31 - July 31
  • 08-31 - August 31
  • 09-30 - September 30
  • 10-31 - October 31
  • 11-30 - November 30
  • 12-31 - December 31
Possible values:
financial_year_end_displaystringRead-onlyRequired
accounting_methodstring · enumOptional

Accounting method for financial reporting

  • cash - Cash Basis
  • accrual - Accrual Basis
Possible values:
accounting_method_displaystringRead-onlyRequired
reporting_currencystring · enumOptional

Primary currency for financial reporting and statements

  • USD - US Dollar (USD)
  • EUR - Euro (EUR)
  • GBP - British Pound (GBP)
  • JPY - Japanese Yen (JPY)
  • CAD - Canadian Dollar (CAD)
  • AUD - Australian Dollar (AUD)
  • CHF - Swiss Franc (CHF)
  • CNY - Chinese Yuan (CNY)
  • INR - Indian Rupee (INR)
  • ZAR - South African Rand (ZAR)
  • KES - Kenyan Shilling (KES)
  • NGN - Nigerian Naira (NGN)
  • GHS - Ghanaian Cedi (GHS)
  • EGP - Egyptian Pound (EGP)
  • MAD - Moroccan Dirham (MAD)
  • TZS - Tanzanian Shilling (TZS)
  • UGX - Ugandan Shilling (UGX)
  • RWF - Rwandan Franc (RWF)
  • ETB - Ethiopian Birr (ETB)
  • BWP - Botswana Pula (BWP)
Possible values:
reporting_currency_displaystringRead-onlyRequired
enable_multi_currencybooleanOptional

Enable multi-currency transactions and reporting

auto_close_financial_yearbooleanOptional

Automatically close financial year and create opening balances

retain_transaction_historybooleanOptional

Keep detailed transaction history after year-end closing

financial_year_lock_datestring · date · nullableOptional

Date before which transactions cannot be modified

current_financial_year_labelstring · nullableRead-onlyRequired
contact_agent_activebooleanOptional

Enable Contact Agent for managing contacts and client relationships

finance_agent_activebooleanOptional

Enable Finance Agent for financial management and accounting

business_agent_activebooleanOptional

Enable Business Agent for general business operations and strategy

asset_agent_activebooleanOptional

Enable Asset Agent for asset management and inventory tracking

client_agent_activebooleanOptional

Enable Client Agent for client relationship management

docs_agent_activebooleanOptional

Enable Docs Agent for document management and file organization

notes_agent_activebooleanOptional

Enable Notes Agent for note-taking and knowledge management

project_agent_activebooleanOptional

Enable Project Agent for project management and task tracking

user_manager_agent_activebooleanOptional

Enable User Manager Agent for user management and permissions

stripe_customer_idstring · max: 100 · nullableOptional

Stripe customer ID for billing and subscriptions

monthly_ai_credits_allocatedstring · decimalOptional

Monthly AI credits allocated based on pricing tier

Pattern: ^-?\d{0,4}(?:\.\d{0,2})?$
monthly_ai_credits_usedstring · decimalOptional

AI credits used in current month

Pattern: ^-?\d{0,4}(?:\.\d{0,2})?$
monthly_ai_credits_remainingstring · decimalOptional

AI credits remaining in current month

Pattern: ^-?\d{0,4}(?:\.\d{0,2})?$
last_monthly_reset_datestring · date · nullableOptional

Date when monthly AI credits were last reset

current_billing_cycle_startstring · date · nullableOptional

Start date of current monthly billing cycle

current_billing_cycle_endstring · date · nullableOptional

End date of current monthly billing cycle

purchased_seatsinteger · max: 2147483647Optional

Number of additional seats purchased beyond the base plan

date_createdstring · date-time · nullableOptional
last_updatedstring · date-time · nullableOptional
put/api/v1.0/organisation/{unique_id}/update/
PUT /api/v1.0/organisation/{unique_id}/update/ HTTP/1.1
Host: skhokho.ai
Content-Type: application/json
Accept: */*
Content-Length: 1392

{
  "unique_id": "text",
  "name": "text",
  "language": "en",
  "business_description": "text",
  "business_category": "agriculture",
  "other_category": "text",
  "how_did_you_hear_about_us": "google",
  "business_website": "https://example.com",
  "vat_number": "text",
  "setup_done": true,
  "address": {
    "address_line_1": "text",
    "city": "text",
    "province_state": "text",
    "postal_code": "text"
  },
  "banking_information": {
    "bank_name": "text",
    "account_number": "text",
    "branch_code": "text",
    "account_type": "checking",
    "routing_number": "text",
    "swift_code": "text"
  },
  "default_currency": "text",
  "default_vat_rate": "text",
  "financial_year_end": "01-31",
  "accounting_method": "cash",
  "reporting_currency": "USD",
  "enable_multi_currency": true,
  "auto_close_financial_year": true,
  "retain_transaction_history": true,
  "financial_year_lock_date": "2026-01-01",
  "contact_agent_active": true,
  "finance_agent_active": true,
  "business_agent_active": true,
  "asset_agent_active": true,
  "client_agent_active": true,
  "docs_agent_active": true,
  "notes_agent_active": true,
  "project_agent_active": true,
  "user_manager_agent_active": true,
  "stripe_customer_id": "text",
  "monthly_ai_credits_allocated": "text",
  "monthly_ai_credits_used": "text",
  "monthly_ai_credits_remaining": "text",
  "last_monthly_reset_date": "2026-01-01",
  "current_billing_cycle_start": "2026-01-01",
  "current_billing_cycle_end": "2026-01-01",
  "purchased_seats": 1,
  "date_created": "2026-01-01T00:00:00.000Z",
  "last_updated": "2026-01-01T00:00:00.000Z"
}
{
  "unique_id": "text",
  "name": "text",
  "language": "en",
  "language_display": "text",
  "business_description": "text",
  "business_category": "agriculture",
  "business_category_display": "text",
  "other_category": "text",
  "how_did_you_hear_about_us": "google",
  "business_website": "https://example.com",
  "vat_number": "text",
  "logo_url": "text",
  "setup_done": true,
  "address": {
    "address_line_1": "text",
    "city": "text",
    "province_state": "text",
    "postal_code": "text",
    "country_name": "text"
  },
  "banking_information": {
    "bank_name": "text",
    "account_number_last4": "text",
    "branch_code": "text",
    "account_type": "checking",
    "routing_number": "text",
    "swift_code": "text",
    "date_created": "2026-01-01T00:00:00.000Z",
    "last_updated": "2026-01-01T00:00:00.000Z",
    "account_type_display": "text"
  },
  "owner": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "member_count": 1,
  "default_currency": "text",
  "default_vat_rate": "text",
  "financial_year_end": "01-31",
  "financial_year_end_display": "text",
  "accounting_method": "cash",
  "accounting_method_display": "text",
  "reporting_currency": "USD",
  "reporting_currency_display": "text",
  "enable_multi_currency": true,
  "auto_close_financial_year": true,
  "retain_transaction_history": true,
  "financial_year_lock_date": "2026-01-01",
  "current_financial_year_label": "text",
  "contact_agent_active": true,
  "finance_agent_active": true,
  "business_agent_active": true,
  "asset_agent_active": true,
  "client_agent_active": true,
  "docs_agent_active": true,
  "notes_agent_active": true,
  "project_agent_active": true,
  "user_manager_agent_active": true,
  "stripe_customer_id": "text",
  "monthly_ai_credits_allocated": "text",
  "monthly_ai_credits_used": "text",
  "monthly_ai_credits_remaining": "text",
  "last_monthly_reset_date": "2026-01-01",
  "current_billing_cycle_start": "2026-01-01",
  "current_billing_cycle_end": "2026-01-01",
  "purchased_seats": 1,
  "date_created": "2026-01-01T00:00:00.000Z",
  "last_updated": "2026-01-01T00:00:00.000Z"
}

Update organisation details (partial)

patch
/api/v1.0/organisation/{unique_id}/update/

Apply a partial update to organisation settings. Provide only the fields to change.

Authorizations
sessionidstringRequired
Path parameters
unique_idstringRequired
Body

Organisation model for owners (read/write, full surface).

unique_idstring · max: 100 · nullableOptional
namestring · nullableOptional
languagestring · enum · nullableOptional
  • en - English
  • sw - Swahili
  • de - German
  • es - Spanish
  • hi - Hindi
  • ar - Arabic
  • ko - Korean
  • pt - Portuguese
  • af - Afrikaans
  • el - Greek
  • fr - French
  • ta - Tamil
  • ru - Russian
  • zh-hans - Simplified Chinese
Possible values:
business_descriptionstring · nullableOptional
business_categorystring · enum · nullableOptional
  • agriculture - Agriculture and Farming
  • cleaning - Cleaning Services
  • construction - Construction and Real Estate Services
  • consulting - Consulting and Freelancing
  • creative - Creative and Design Services
  • education - Education and Tutoring Services
  • events - Entertainment and Events Planning
  • handyman - Handyman and Home Repair Services
  • health - Health and Wellness
  • home_based - Home-Based Businesses
  • hospitality - Hospitality and Tourism
  • it_support - IT and Software Support Services
  • legal - Legal and Financial Services
  • logistics - Logistics and Delivery Services
  • manufacturing - Manufacturing and Small-Scale Production
  • marketing - Marketing and Advertising Services
  • music - Music and Entertainment Services
  • non_profit - Non-Profit and Social Enterprises
  • online_retail - Online Retail and E-commerce
  • photography - Photography and Videography Services
  • printing - Printing and Copy Services
  • professional - Professional Services
  • travel - Travel Agencies
  • utilities - Utilities and Renewable Energy Services
  • wholesale - Wholesale and Distribution
  • writing - Writing and Editing Services
  • virtual_assistance - Virtual Assistance and Admin Support
  • other - Other
Possible values:
other_categorystring · nullableOptional
how_did_you_hear_about_usstring · enum · nullableOptional
  • google - Google Search
  • social_media - Social Media
  • online_ads - Online Ads
  • word_of_mouth - Word of Mouth
  • email_marketing - Email Marketing
  • event - Event or Conference
  • blog - Blog or Article
  • webinar - Webinar or Online Workshop
  • podcast - Podcast
  • tv_radio - TV or Radio Advertisement
  • print_media - Print Media
  • referral - Referral Program
  • other - Other
Possible values:
business_websitestring · uri · max: 300 · nullableOptional
vat_numberstring · max: 100 · nullableOptional

VAT/Tax registration number

setup_donebooleanOptional
default_currencystring · min: 1 · max: 3Optional

Default currency code (ISO 4217) for financial transactions

default_vat_ratestring · decimalOptional

Default VAT/tax rate percentage for line items

Pattern: ^-?\d{0,3}(?:\.\d{0,2})?$
financial_year_endstring · enumOptional

Month and day when the financial year ends (MM-DD format)

  • 01-31 - January 31
  • 02-28 - February 28
  • 03-31 - March 31
  • 04-30 - April 30
  • 05-31 - May 31
  • 06-30 - June 30
  • 07-31 - July 31
  • 08-31 - August 31
  • 09-30 - September 30
  • 10-31 - October 31
  • 11-30 - November 30
  • 12-31 - December 31
Possible values:
accounting_methodstring · enumOptional

Accounting method for financial reporting

  • cash - Cash Basis
  • accrual - Accrual Basis
Possible values:
reporting_currencystring · enumOptional

Primary currency for financial reporting and statements

  • USD - US Dollar (USD)
  • EUR - Euro (EUR)
  • GBP - British Pound (GBP)
  • JPY - Japanese Yen (JPY)
  • CAD - Canadian Dollar (CAD)
  • AUD - Australian Dollar (AUD)
  • CHF - Swiss Franc (CHF)
  • CNY - Chinese Yuan (CNY)
  • INR - Indian Rupee (INR)
  • ZAR - South African Rand (ZAR)
  • KES - Kenyan Shilling (KES)
  • NGN - Nigerian Naira (NGN)
  • GHS - Ghanaian Cedi (GHS)
  • EGP - Egyptian Pound (EGP)
  • MAD - Moroccan Dirham (MAD)
  • TZS - Tanzanian Shilling (TZS)
  • UGX - Ugandan Shilling (UGX)
  • RWF - Rwandan Franc (RWF)
  • ETB - Ethiopian Birr (ETB)
  • BWP - Botswana Pula (BWP)
Possible values:
enable_multi_currencybooleanOptional

Enable multi-currency transactions and reporting

auto_close_financial_yearbooleanOptional

Automatically close financial year and create opening balances

retain_transaction_historybooleanOptional

Keep detailed transaction history after year-end closing

financial_year_lock_datestring · date · nullableOptional

Date before which transactions cannot be modified

contact_agent_activebooleanOptional

Enable Contact Agent for managing contacts and client relationships

finance_agent_activebooleanOptional

Enable Finance Agent for financial management and accounting

business_agent_activebooleanOptional

Enable Business Agent for general business operations and strategy

asset_agent_activebooleanOptional

Enable Asset Agent for asset management and inventory tracking

client_agent_activebooleanOptional

Enable Client Agent for client relationship management

docs_agent_activebooleanOptional

Enable Docs Agent for document management and file organization

notes_agent_activebooleanOptional

Enable Notes Agent for note-taking and knowledge management

project_agent_activebooleanOptional

Enable Project Agent for project management and task tracking

user_manager_agent_activebooleanOptional

Enable User Manager Agent for user management and permissions

stripe_customer_idstring · max: 100 · nullableOptional

Stripe customer ID for billing and subscriptions

monthly_ai_credits_allocatedstring · decimalOptional

Monthly AI credits allocated based on pricing tier

Pattern: ^-?\d{0,4}(?:\.\d{0,2})?$
monthly_ai_credits_usedstring · decimalOptional

AI credits used in current month

Pattern: ^-?\d{0,4}(?:\.\d{0,2})?$
monthly_ai_credits_remainingstring · decimalOptional

AI credits remaining in current month

Pattern: ^-?\d{0,4}(?:\.\d{0,2})?$
last_monthly_reset_datestring · date · nullableOptional

Date when monthly AI credits were last reset

current_billing_cycle_startstring · date · nullableOptional

Start date of current monthly billing cycle

current_billing_cycle_endstring · date · nullableOptional

End date of current monthly billing cycle

purchased_seatsinteger · max: 2147483647Optional

Number of additional seats purchased beyond the base plan

date_createdstring · date-time · nullableOptional
last_updatedstring · date-time · nullableOptional
Responses
200Success
application/json

Organisation model for owners (read/write, full surface).

unique_idstring · max: 100 · nullableOptional
namestring · nullableOptional
languagestring · enum · nullableOptional
  • en - English
  • sw - Swahili
  • de - German
  • es - Spanish
  • hi - Hindi
  • ar - Arabic
  • ko - Korean
  • pt - Portuguese
  • af - Afrikaans
  • el - Greek
  • fr - French
  • ta - Tamil
  • ru - Russian
  • zh-hans - Simplified Chinese
Possible values:
language_displaystringRead-onlyRequired
business_descriptionstring · nullableOptional
business_categorystring · enum · nullableOptional
  • agriculture - Agriculture and Farming
  • cleaning - Cleaning Services
  • construction - Construction and Real Estate Services
  • consulting - Consulting and Freelancing
  • creative - Creative and Design Services
  • education - Education and Tutoring Services
  • events - Entertainment and Events Planning
  • handyman - Handyman and Home Repair Services
  • health - Health and Wellness
  • home_based - Home-Based Businesses
  • hospitality - Hospitality and Tourism
  • it_support - IT and Software Support Services
  • legal - Legal and Financial Services
  • logistics - Logistics and Delivery Services
  • manufacturing - Manufacturing and Small-Scale Production
  • marketing - Marketing and Advertising Services
  • music - Music and Entertainment Services
  • non_profit - Non-Profit and Social Enterprises
  • online_retail - Online Retail and E-commerce
  • photography - Photography and Videography Services
  • printing - Printing and Copy Services
  • professional - Professional Services
  • travel - Travel Agencies
  • utilities - Utilities and Renewable Energy Services
  • wholesale - Wholesale and Distribution
  • writing - Writing and Editing Services
  • virtual_assistance - Virtual Assistance and Admin Support
  • other - Other
Possible values:
business_category_displaystringRead-onlyRequired
other_categorystring · nullableOptional
how_did_you_hear_about_usstring · enum · nullableOptional
  • google - Google Search
  • social_media - Social Media
  • online_ads - Online Ads
  • word_of_mouth - Word of Mouth
  • email_marketing - Email Marketing
  • event - Event or Conference
  • blog - Blog or Article
  • webinar - Webinar or Online Workshop
  • podcast - Podcast
  • tv_radio - TV or Radio Advertisement
  • print_media - Print Media
  • referral - Referral Program
  • other - Other
Possible values:
business_websitestring · uri · max: 300 · nullableOptional
vat_numberstring · max: 100 · nullableOptional

VAT/Tax registration number

logo_urlstring · nullableRead-onlyRequired
setup_donebooleanOptional
member_countinteger · nullableRead-onlyRequired
default_currencystring · max: 3Optional

Default currency code (ISO 4217) for financial transactions

default_vat_ratestring · decimalOptional

Default VAT/tax rate percentage for line items

Pattern: ^-?\d{0,3}(?:\.\d{0,2})?$
financial_year_endstring · enumOptional

Month and day when the financial year ends (MM-DD format)

  • 01-31 - January 31
  • 02-28 - February 28
  • 03-31 - March 31
  • 04-30 - April 30
  • 05-31 - May 31
  • 06-30 - June 30
  • 07-31 - July 31
  • 08-31 - August 31
  • 09-30 - September 30
  • 10-31 - October 31
  • 11-30 - November 30
  • 12-31 - December 31
Possible values:
financial_year_end_displaystringRead-onlyRequired
accounting_methodstring · enumOptional

Accounting method for financial reporting

  • cash - Cash Basis
  • accrual - Accrual Basis
Possible values:
accounting_method_displaystringRead-onlyRequired
reporting_currencystring · enumOptional

Primary currency for financial reporting and statements

  • USD - US Dollar (USD)
  • EUR - Euro (EUR)
  • GBP - British Pound (GBP)
  • JPY - Japanese Yen (JPY)
  • CAD - Canadian Dollar (CAD)
  • AUD - Australian Dollar (AUD)
  • CHF - Swiss Franc (CHF)
  • CNY - Chinese Yuan (CNY)
  • INR - Indian Rupee (INR)
  • ZAR - South African Rand (ZAR)
  • KES - Kenyan Shilling (KES)
  • NGN - Nigerian Naira (NGN)
  • GHS - Ghanaian Cedi (GHS)
  • EGP - Egyptian Pound (EGP)
  • MAD - Moroccan Dirham (MAD)
  • TZS - Tanzanian Shilling (TZS)
  • UGX - Ugandan Shilling (UGX)
  • RWF - Rwandan Franc (RWF)
  • ETB - Ethiopian Birr (ETB)
  • BWP - Botswana Pula (BWP)
Possible values:
reporting_currency_displaystringRead-onlyRequired
enable_multi_currencybooleanOptional

Enable multi-currency transactions and reporting

auto_close_financial_yearbooleanOptional

Automatically close financial year and create opening balances

retain_transaction_historybooleanOptional

Keep detailed transaction history after year-end closing

financial_year_lock_datestring · date · nullableOptional

Date before which transactions cannot be modified

current_financial_year_labelstring · nullableRead-onlyRequired
contact_agent_activebooleanOptional

Enable Contact Agent for managing contacts and client relationships

finance_agent_activebooleanOptional

Enable Finance Agent for financial management and accounting

business_agent_activebooleanOptional

Enable Business Agent for general business operations and strategy

asset_agent_activebooleanOptional

Enable Asset Agent for asset management and inventory tracking

client_agent_activebooleanOptional

Enable Client Agent for client relationship management

docs_agent_activebooleanOptional

Enable Docs Agent for document management and file organization

notes_agent_activebooleanOptional

Enable Notes Agent for note-taking and knowledge management

project_agent_activebooleanOptional

Enable Project Agent for project management and task tracking

user_manager_agent_activebooleanOptional

Enable User Manager Agent for user management and permissions

stripe_customer_idstring · max: 100 · nullableOptional

Stripe customer ID for billing and subscriptions

monthly_ai_credits_allocatedstring · decimalOptional

Monthly AI credits allocated based on pricing tier

Pattern: ^-?\d{0,4}(?:\.\d{0,2})?$
monthly_ai_credits_usedstring · decimalOptional

AI credits used in current month

Pattern: ^-?\d{0,4}(?:\.\d{0,2})?$
monthly_ai_credits_remainingstring · decimalOptional

AI credits remaining in current month

Pattern: ^-?\d{0,4}(?:\.\d{0,2})?$
last_monthly_reset_datestring · date · nullableOptional

Date when monthly AI credits were last reset

current_billing_cycle_startstring · date · nullableOptional

Start date of current monthly billing cycle

current_billing_cycle_endstring · date · nullableOptional

End date of current monthly billing cycle

purchased_seatsinteger · max: 2147483647Optional

Number of additional seats purchased beyond the base plan

date_createdstring · date-time · nullableOptional
last_updatedstring · date-time · nullableOptional
patch/api/v1.0/organisation/{unique_id}/update/
PATCH /api/v1.0/organisation/{unique_id}/update/ HTTP/1.1
Host: skhokho.ai
Content-Type: application/json
Accept: */*
Content-Length: 1392

{
  "unique_id": "text",
  "name": "text",
  "language": "en",
  "business_description": "text",
  "business_category": "agriculture",
  "other_category": "text",
  "how_did_you_hear_about_us": "google",
  "business_website": "https://example.com",
  "vat_number": "text",
  "setup_done": true,
  "address": {
    "address_line_1": "text",
    "city": "text",
    "province_state": "text",
    "postal_code": "text"
  },
  "banking_information": {
    "bank_name": "text",
    "account_number": "text",
    "branch_code": "text",
    "account_type": "checking",
    "routing_number": "text",
    "swift_code": "text"
  },
  "default_currency": "text",
  "default_vat_rate": "text",
  "financial_year_end": "01-31",
  "accounting_method": "cash",
  "reporting_currency": "USD",
  "enable_multi_currency": true,
  "auto_close_financial_year": true,
  "retain_transaction_history": true,
  "financial_year_lock_date": "2026-01-01",
  "contact_agent_active": true,
  "finance_agent_active": true,
  "business_agent_active": true,
  "asset_agent_active": true,
  "client_agent_active": true,
  "docs_agent_active": true,
  "notes_agent_active": true,
  "project_agent_active": true,
  "user_manager_agent_active": true,
  "stripe_customer_id": "text",
  "monthly_ai_credits_allocated": "text",
  "monthly_ai_credits_used": "text",
  "monthly_ai_credits_remaining": "text",
  "last_monthly_reset_date": "2026-01-01",
  "current_billing_cycle_start": "2026-01-01",
  "current_billing_cycle_end": "2026-01-01",
  "purchased_seats": 1,
  "date_created": "2026-01-01T00:00:00.000Z",
  "last_updated": "2026-01-01T00:00:00.000Z"
}
{
  "unique_id": "text",
  "name": "text",
  "language": "en",
  "language_display": "text",
  "business_description": "text",
  "business_category": "agriculture",
  "business_category_display": "text",
  "other_category": "text",
  "how_did_you_hear_about_us": "google",
  "business_website": "https://example.com",
  "vat_number": "text",
  "logo_url": "text",
  "setup_done": true,
  "address": {
    "address_line_1": "text",
    "city": "text",
    "province_state": "text",
    "postal_code": "text",
    "country_name": "text"
  },
  "banking_information": {
    "bank_name": "text",
    "account_number_last4": "text",
    "branch_code": "text",
    "account_type": "checking",
    "routing_number": "text",
    "swift_code": "text",
    "date_created": "2026-01-01T00:00:00.000Z",
    "last_updated": "2026-01-01T00:00:00.000Z",
    "account_type_display": "text"
  },
  "owner": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "member_count": 1,
  "default_currency": "text",
  "default_vat_rate": "text",
  "financial_year_end": "01-31",
  "financial_year_end_display": "text",
  "accounting_method": "cash",
  "accounting_method_display": "text",
  "reporting_currency": "USD",
  "reporting_currency_display": "text",
  "enable_multi_currency": true,
  "auto_close_financial_year": true,
  "retain_transaction_history": true,
  "financial_year_lock_date": "2026-01-01",
  "current_financial_year_label": "text",
  "contact_agent_active": true,
  "finance_agent_active": true,
  "business_agent_active": true,
  "asset_agent_active": true,
  "client_agent_active": true,
  "docs_agent_active": true,
  "notes_agent_active": true,
  "project_agent_active": true,
  "user_manager_agent_active": true,
  "stripe_customer_id": "text",
  "monthly_ai_credits_allocated": "text",
  "monthly_ai_credits_used": "text",
  "monthly_ai_credits_remaining": "text",
  "last_monthly_reset_date": "2026-01-01",
  "current_billing_cycle_start": "2026-01-01",
  "current_billing_cycle_end": "2026-01-01",
  "purchased_seats": 1,
  "date_created": "2026-01-01T00:00:00.000Z",
  "last_updated": "2026-01-01T00:00:00.000Z"
}

List organisation members

get
/api/v1.0/organisation/{unique_id}/people/

Get all members of an organisation

Authorizations
sessionidstringRequired
Path parameters
unique_idstringRequired
Responses
200Success
application/json

Person model with nested user information and related data. Supports reading + writing nested Address/Employee/Banking.

unique_idstring · max: 100 · nullableOptional
current_languagestring · enumOptional
  • en - English
  • sw - Swahili
  • de - German
  • es - Spanish
  • hi - Hindi
  • ar - Arabic
  • ko - Korean
  • pt - Portuguese
  • af - Afrikaans
  • el - Greek
  • fr - French
  • ta - Tamil
  • ru - Russian
  • zh-hans - Simplified Chinese
Possible values:
language_displaystringRead-onlyRequired
profile_picture_urlstring · uri · nullableRead-onlyRequired
job_titlestring · max: 300 · nullableOptional
is_ownerbooleanOptional
user_typestring · enumOptional
  • user - Regular User
  • employee - Employee
Possible values:
user_type_displaystringRead-onlyRequired
last_loginstring · date-time · nullableOptional
date_createdstring · date-time · nullableOptional
last_updatedstring · date-time · nullableOptional
get/api/v1.0/organisation/{unique_id}/people/
GET /api/v1.0/organisation/{unique_id}/people/ HTTP/1.1
Host: skhokho.ai
Accept: */*
200Success
[
  {
    "unique_id": "text",
    "user": {
      "first_name": "text",
      "last_name": "text",
      "email": "name@gmail.com"
    },
    "current_language": "en",
    "language_display": "text",
    "profile_picture_url": "https://example.com",
    "job_title": "text",
    "is_owner": true,
    "user_type": "user",
    "user_type_display": "text",
    "organisation_details": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "address": {
      "address_line_1": "text",
      "city": "text",
      "province_state": "text",
      "postal_code": "text",
      "country_name": "text"
    },
    "banking_information": {
      "bank_name": "text",
      "account_number_last4": "text",
      "branch_code": "text",
      "account_type": "checking",
      "routing_number": "text",
      "swift_code": "text",
      "date_created": "2026-01-01T00:00:00.000Z",
      "last_updated": "2026-01-01T00:00:00.000Z",
      "account_type_display": "text"
    },
    "employee_information": {
      "id_number": "text",
      "employee_number": "text",
      "tax_number": "text",
      "phone_number": "text",
      "birthday": "2026-01-01",
      "linkedin_url": "https://example.com",
      "emergency_contact": "text",
      "emergency_phone": "text",
      "medical_aid_number": "text",
      "medical_aid_provider": "text",
      "medical_aid_plan": "text",
      "medical_conditions": "text",
      "allergies": "text",
      "medications": "text",
      "start_date": "2026-01-01",
      "end_date": "2026-01-01",
      "is_active_employee": true,
      "date_created": "2026-01-01T00:00:00.000Z",
      "last_updated": "2026-01-01T00:00:00.000Z"
    },
    "last_login": "2026-01-01T00:00:00.000Z",
    "date_created": "2026-01-01T00:00:00.000Z",
    "last_updated": "2026-01-01T00:00:00.000Z"
  }
]

Get person details

get
/api/v1.0/organisation/{unique_id}/person/{user_unique_id}/

Get detailed information about a specific person in an organisation

Authorizations
sessionidstringRequired
Path parameters
unique_idstringRequired
user_unique_idstringRequired
Responses
200Success
application/json

Person model with nested user information and related data. Supports reading + writing nested Address/Employee/Banking.

unique_idstring · max: 100 · nullableOptional
current_languagestring · enumOptional
  • en - English
  • sw - Swahili
  • de - German
  • es - Spanish
  • hi - Hindi
  • ar - Arabic
  • ko - Korean
  • pt - Portuguese
  • af - Afrikaans
  • el - Greek
  • fr - French
  • ta - Tamil
  • ru - Russian
  • zh-hans - Simplified Chinese
Possible values:
language_displaystringRead-onlyRequired
profile_picture_urlstring · uri · nullableRead-onlyRequired
job_titlestring · max: 300 · nullableOptional
is_ownerbooleanOptional
user_typestring · enumOptional
  • user - Regular User
  • employee - Employee
Possible values:
user_type_displaystringRead-onlyRequired
last_loginstring · date-time · nullableOptional
date_createdstring · date-time · nullableOptional
last_updatedstring · date-time · nullableOptional
get/api/v1.0/organisation/{unique_id}/person/{user_unique_id}/
GET /api/v1.0/organisation/{unique_id}/person/{user_unique_id}/ HTTP/1.1
Host: skhokho.ai
Accept: */*
200Success
{
  "unique_id": "text",
  "user": {
    "first_name": "text",
    "last_name": "text",
    "email": "name@gmail.com"
  },
  "current_language": "en",
  "language_display": "text",
  "profile_picture_url": "https://example.com",
  "job_title": "text",
  "is_owner": true,
  "user_type": "user",
  "user_type_display": "text",
  "organisation_details": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "address": {
    "address_line_1": "text",
    "city": "text",
    "province_state": "text",
    "postal_code": "text",
    "country_name": "text"
  },
  "banking_information": {
    "bank_name": "text",
    "account_number_last4": "text",
    "branch_code": "text",
    "account_type": "checking",
    "routing_number": "text",
    "swift_code": "text",
    "date_created": "2026-01-01T00:00:00.000Z",
    "last_updated": "2026-01-01T00:00:00.000Z",
    "account_type_display": "text"
  },
  "employee_information": {
    "id_number": "text",
    "employee_number": "text",
    "tax_number": "text",
    "phone_number": "text",
    "birthday": "2026-01-01",
    "linkedin_url": "https://example.com",
    "emergency_contact": "text",
    "emergency_phone": "text",
    "medical_aid_number": "text",
    "medical_aid_provider": "text",
    "medical_aid_plan": "text",
    "medical_conditions": "text",
    "allergies": "text",
    "medications": "text",
    "start_date": "2026-01-01",
    "end_date": "2026-01-01",
    "is_active_employee": true,
    "date_created": "2026-01-01T00:00:00.000Z",
    "last_updated": "2026-01-01T00:00:00.000Z"
  },
  "last_login": "2026-01-01T00:00:00.000Z",
  "date_created": "2026-01-01T00:00:00.000Z",
  "last_updated": "2026-01-01T00:00:00.000Z"
}

Last updated